package cn.freemud.util;

/**
 * All rights Reserved, Designed By www.freemud.cn
 *
 * @version V1.0
 * @Title: ${FILE_NAME}
 * @Package com.freemud.mail.core
 * @Description: ${TODO}(用一句话描述该文件做什么)
 * @author: aiqi.gong
 * @date: 2019/3/21 19:33
 * @Copyright: 2018 www.freemud.cn Inc. All rights reserved.
 * 注意：本内容仅限于上海非码科技内部传阅，禁止外泄以及用于其他的商业目
 */
public class OrderSubTypeConvertUtil {

    /**
     * hualala 240：类型 堂食、闪吃，120：外送，121：自提 ，与order中orderSubType要对应
     * i应用 订单状态   1 外卖 2 预订单 3 商城 4 门店自提 5 堂食
     *
     * @return
     */
    public static Integer iOrderSubTypeConvertToHualalaOrderSubType(Integer type) {
        if (type.compareTo(4) == 0) {
            return 21;
        }
        if (type.compareTo(1) == 0) {
            return 120;
        }
        if (type.compareTo(5) == 0) {
            return 240;
        }
        return 0;
    }
}
